import type * as c4 from '@likec4/core';
import type { ast } from '../ast';
/**
 * Returns referenced AST Element
 */
export declare function elementRef(node: ast.ElementRef | ast.FqnElementRef): any;
/**
 * Returns FQN of FqnElementRef
 * a.b.c.d - for c node returns a.b.c
 */
export declare function getFqnElementRef(node: ast.FqnElementRef): c4.Fqn;
